# class KHSSelector | Widget for Hue/Saturation selection. More...
Definition | `#include <kcolordialog.h>`
Inherits | KXYSelector [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KHSSelector ( QWidget *parent=0, const char *name=0 )
- void updateContents ()

#### Protected Methods

- virtual void drawPalette ( QPixmap *pixmap )
- virtual void drawContents ( QPainter *painter )

## Detailed Description

Widget for Hue/Saturation selection. The actual values can be fetched using the inherited xValue and yValue methods.

See also: KXYSelector, KValueSelector, KColorDialog

KHSSelector ( QWidget *parent=0, const char *name=0 ) | ### KHSSelector

Constructs a hue/saturation selection widget.

void updateContents () | ### updateContents

void drawPalette ( QPixmap *pixmap ) | ### drawPalette

[protected virtual]

Draws the contents of the widget on a pixmap, which is used for buffering.

void resizeEvent ( QResizeEvent * ) | ### resizeEvent

[protected virtual]

Reimplemented from QWidget for internal purposes..

void drawContents ( QPainter *painter ) | ### drawContents

[protected virtual]

Reimplemented from KXYSelector. This drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used.

Reimplemented from KXYSelector.

- Version: $Id: kcolordialog.h,v 1.34 2000/12/21 18:53:18 waba Exp $
- Author: Martin Jones (mjones@kde.org)
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.